@echo off
REM This script runs CrossFTP commander
REM To encrypt/decrypt, make sure you have Java Cryptography Extension (JCE) Unlimited Strength Jurisdiction Policy Files installed on JDK.
REM For more information, please refer to http://www.crossftp.com
REM Sample Usage:
REM commander.bat [--action <addSite/listSites/editSite/deleteSite/copy/move/sync/delete/registerLicense/releaseLicense/config/encrypt/decrypt>] [--configDir <PATH_TO_CONFIG_FOLDER>] [--help]
REM You can use --help to get the specific command line usage for each type of action.
REM addSite example:
REM commander.bat --configDir /Users/username/.crossftp --action addSite --siteId test --protocol ftp --host test.com
REM copy example:
REM commander.bat --configDir /Users/username/.crossftp --action copy --sourceSite MyComputer --sourceDirectory /Users/username/Downloads/test --targetSite targetSiteId --targetDirectory /Users/username/incoming/test --threadNumber=2

REM (1) set up following line's JAVA_HOME variable if it is not setup in the external environment
REM set JAVA_HOME=c:\Program Files\Java\jdk1.8.0_151

REM (2) run program
set JAVA_CMD=%JAVA_HOME%\bin\java
"%JAVA_CMD%" -cp crossftp.jar;crossftp-resources.jar;commons-logging.jar;jnlp.jar;bcprov-jdk15on-147.jar;guava-18.0.jar;jclouds-blobstore-LATEST.jar;jclouds-core-LATEST.jar;azureblob-LATEST.jar;openstack-swift-LATEST.jar;openstack-keystone-LATEST.jar;rackspace-cloudidentity-LATEST.jar crossftp.common.Commander %*
